Package com.android.server.os

# Class LinphoneTombstoneProtos.ArmMTEMetadata.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.ArmMTEMetadata,LinphoneTombstoneProtos.ArmMTEMetadata.Builder>
com.android.server.os.LinphoneTombstoneProtos.ArmMTEMetadata.Builder

All Implemented Interfaces:
  `LinphoneTombstoneProtos.ArmMTEMetadataOrBuilder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `Cloneable`

Enclosing class:
  LinphoneTombstoneProtos.ArmMTEMetadata

public static final class LinphoneTombstoneProtos.ArmMTEMetadata.Builder extends com.google.protobuf.GeneratedMessageLite.Builder<LinphoneTombstoneProtos.ArmMTEMetadata,LinphoneTombstoneProtos.ArmMTEMetadata.Builder> implements LinphoneTombstoneProtos.ArmMTEMetadataOrBuilder
Protobuf type `ArmMTEMetadata`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`instance`

## Method Summary

Modifier and Type
Method
Description
`LinphoneTombstoneProtos.ArmMTEMetadata.Builder`
`clearMemoryTags()`
One memory tag per granule (e.g.
`com.google.protobuf.ByteString`
`getMemoryTags()`
One memory tag per granule (e.g.
`LinphoneTombstoneProtos.ArmMTEMetadata.Builder`
`setMemoryTags(com.google.protobuf.ByteString value)`
One memory tag per granule (e.g.

### Methods inherited from class com.google.protobuf.GeneratedMessageLite.Builder

`build, buildPartial, clear, clone, copyOnWrite, copyOnWriteInternal, getDefaultInstanceForType, internalMergeFrom, isInitialized, mergeFrom, mergeFrom, mergeFrom, mergeFrom`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getMemoryTags

public com.google.protobuf.ByteString getMemoryTags()

     One memory tag per granule (e.g. every 16 bytes) of regular memory.

`bytes memory_tags = 1;`

Specified by:
  `getMemoryTags` in interface `LinphoneTombstoneProtos.ArmMTEMetadataOrBuilder`
Returns:
  The memoryTags.

### setMemoryTags

public LinphoneTombstoneProtos.ArmMTEMetadata.Builder setMemoryTags(com.google.protobuf.ByteString value)

     One memory tag per granule (e.g. every 16 bytes) of regular memory.

`bytes memory_tags = 1;`

Parameters:
  `value` - The memoryTags to set.
Returns:
  This builder for chaining.

### clearMemoryTags

public LinphoneTombstoneProtos.ArmMTEMetadata.Builder clearMemoryTags()

     One memory tag per granule (e.g. every 16 bytes) of regular memory.

`bytes memory_tags = 1;`

Returns:
  This builder for chaining.